Package com.collibra.dgc.core.api.dto.quality

# Class DataQualityMetricRequest

Object
DataQualityMetricRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class DataQualityMetricRequest extends Object implements Serializable
Deprecated.
This class will be removed in the future. This feature is being dropped, so no replacement will be available.
The single data quality metric that should be assigned to a data quality rule.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `DataQualityMetricRequest.Builder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataQualityMetricRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataQualityMetricRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `UUID`
  `getAttributeTypeId()`
  Deprecated.
  The ID of the attribute type that defines the value that is used as the data quality metric.
  `DataQualityCountOperation`
  `getCountOperation()`
  Deprecated.
  The operation that should be performed when aggregating the quality results.
  `int`
  `hashCode()`
  Deprecated.
  `void`
  `setAttributeTypeId(UUID attributeTypeId)`
  Deprecated.
  The ID of the attribute type that defines the value that is used as the data quality metric.
  `void`
  `setCountOperation(DataQualityCountOperation countOperation)`
  Deprecated.
  The operation that should be performed when aggregating the quality results.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataQualityMetricRequest

    public DataQualityMetricRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static DataQualityMetricRequest.Builder builder()
    Deprecated.

  - ### getCountOperation

    public DataQualityCountOperation getCountOperation()
    Deprecated.
    The operation that should be performed when aggregating the quality results.

  - ### getAttributeTypeId

    public UUID getAttributeTypeId()
    Deprecated.
    The ID of the attribute type that defines the value that is used as the data quality metric.

  - ### setCountOperation

    public void setCountOperation(DataQualityCountOperation countOperation)
    Deprecated.
    The operation that should be performed when aggregating the quality results.

  - ### setAttributeTypeId

    public void setAttributeTypeId(UUID attributeTypeId)
    Deprecated.
    The ID of the attribute type that defines the value that is used as the data quality metric.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`